Lista VirtualNetworkAddress-resurser efter CloudVmCluster
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Oracle.Database/cloudVmClusters/{cloudvmclustername}/virtualNetworkAddresses?api-version=2025-09-01
URI-parametrar
| Name |
I |
Obligatorisk |
Typ |
Description |
|
cloudvmclustername
|
path |
True
|
string
pattern: .*
|
CloudVmCluster-namn
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Namnet på resursgruppen. Namnet är skiftlägesokänsligt.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
ID för målprenumerationen. Värdet måste vara ett UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Den API-version som ska användas för den här åtgärden.
|
Svar
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name |
Description |
|
user_impersonation
|
personifiera ditt användarkonto
|
Exempel
List Virtual Network Addresses by VM Cluster
Exempelbegäran
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses?api-version=2025-09-01
/**
* Samples for VirtualNetworkAddresses ListByCloudVmCluster.
*/
public final class Main {
/*
* x-ms-original-file: 2025-09-01/virtualNetworkAddresses_listByParent.json
*/
/**
* Sample code: VirtualNetworkAddresses_listByCloudVmCluster.
*
* @param manager Entry point to OracleDatabaseManager.
*/
public static void virtualNetworkAddressesListByCloudVmCluster(
com.azure.resourcemanager.oracledatabase.OracleDatabaseManager manager) {
manager.virtualNetworkAddresses().listByCloudVmCluster("rg000", "cluster1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armoracledatabase_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/oracledatabase/armoracledatabase/v2"
)
// Generated from example definition: 2025-09-01/virtualNetworkAddresses_listByParent.json
func ExampleVirtualNetworkAddressesClient_NewListByCloudVMClusterPager() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armoracledatabase.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewVirtualNetworkAddressesClient().NewListByCloudVMClusterPager("rg000", "cluster1", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armoracledatabase.VirtualNetworkAddressesClientListByCloudVMClusterResponse{
// VirtualNetworkAddressListResult: armoracledatabase.VirtualNetworkAddressListResult{
// Value: []*armoracledatabase.VirtualNetworkAddress{
// {
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1"),
// Type: to.Ptr("Oracle.Database/cloudVmClusters/virtualNetworkAddresses"),
// Properties: &armoracledatabase.VirtualNetworkAddressProperties{
// IPAddress: to.Ptr("192.168.0.1"),
// VMOcid: to.Ptr("ocid1..aaaa"),
// Ocid: to.Ptr("ocid1..aaaaaa"),
// Domain: to.Ptr("domain1"),
// LifecycleDetails: to.Ptr("success"),
// ProvisioningState: to.Ptr(armoracledatabase.AzureResourceProvisioningStateSucceeded),
// LifecycleState: to.Ptr(armoracledatabase.VirtualNetworkAddressLifecycleStateAvailable),
// TimeAssigned: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-10-22T00:27:02.119Z"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1",
"type": "Oracle.Database/cloudVmClusters/virtualNetworkAddresses",
"properties": {
"ipAddress": "192.168.0.1",
"vmOcid": "ocid1..aaaa",
"ocid": "ocid1..aaaaaa",
"domain": "domain1",
"lifecycleDetails": "success",
"provisioningState": "Succeeded",
"lifecycleState": "Available",
"timeAssigned": "2023-10-22T00:27:02.119Z"
}
}
],
"nextLink": null
}
List Virtual Network Addresses by VM Cluster - generated by [MaximumSet] rule
Exempelbegäran
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/Replace this value with a string matching RegExp .*/virtualNetworkAddresses?api-version=2025-09-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.oracledatabase import OracleDatabaseMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-oracledatabase
# USAGE
python virtual_network_addresses_list_by_parent_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = OracleDatabaseMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_network_addresses.list_by_parent(
resource_group_name="rgopenapi",
cloudvmclustername="Replace this value with a string matching RegExp .*",
)
for item in response:
print(item)
# x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { OracleDatabaseManagementClient } = require("@azure/arm-oracledatabase");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list VirtualNetworkAddress resources by CloudVmCluster
*
* @summary list VirtualNetworkAddress resources by CloudVmCluster
* x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
*/
async function listVirtualNetworkAddressesByVMClusterGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new OracleDatabaseManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.virtualNetworkAddresses.listByParent(
"rgopenapi",
"Replace this value with a string matching RegExp .*",
)) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.OracleDatabase;
// Generated from example definition: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
// this example is just showing the usage of "VirtualNetworkAddress_ListByParent" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this CloudVmClusterResource created on azure
// for more information of creating CloudVmClusterResource, please refer to the document of CloudVmClusterResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgopenapi";
string cloudvmclustername = "Replace this value with a string matching RegExp .*";
ResourceIdentifier cloudVmClusterResourceId = CloudVmClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, cloudvmclustername);
CloudVmClusterResource cloudVmCluster = client.GetCloudVmClusterResource(cloudVmClusterResourceId);
// get the collection of this CloudVmClusterVirtualNetworkAddressResource
CloudVmClusterVirtualNetworkAddressCollection collection = cloudVmCluster.GetCloudVmClusterVirtualNetworkAddresses();
// invoke the operation and iterate over the result
await foreach (CloudVmClusterVirtualNetworkAddressResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
CloudVmClusterVirtualNetworkAddressData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1",
"type": "Oracle.Database/cloudVmClusters/virtualNetworkAddresses",
"properties": {
"ipAddress": "192.168.0.1",
"vmOcid": "ocid1..aaaa",
"ocid": "ocid1..aaaaaa",
"domain": "domain1",
"lifecycleDetails": "success",
"provisioningState": "Succeeded",
"lifecycleState": "Available",
"timeAssigned": "2023-10-22T00:27:02.119Z"
},
"name": "xhlq",
"systemData": {
"createdBy": "sqehacivpuim",
"createdByType": "User",
"createdAt": "2025-08-01T04:32:58.716Z",
"lastModifiedBy": "axrqfdkqylvjv",
"lastModifiedByType": "User",
"lastModifiedAt": "2025-08-01T04:32:58.716Z"
}
}
],
"nextLink": "https://microsoft.com/a"
}
List Virtual Network Addresses by VM Cluster - generated by [MinimumSet] rule
Exempelbegäran
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/Replace this value with a string matching RegExp .*/virtualNetworkAddresses?api-version=2025-09-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.oracledatabase import OracleDatabaseMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-oracledatabase
# USAGE
python virtual_network_addresses_list_by_parent_minimum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = OracleDatabaseMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_network_addresses.list_by_parent(
resource_group_name="rgopenapi",
cloudvmclustername="Replace this value with a string matching RegExp .*",
)
for item in response:
print(item)
# x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { OracleDatabaseManagementClient } = require("@azure/arm-oracledatabase");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list VirtualNetworkAddress resources by CloudVmCluster
*
* @summary list VirtualNetworkAddress resources by CloudVmCluster
* x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
*/
async function listVirtualNetworkAddressesByVMClusterGeneratedByMinimumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new OracleDatabaseManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.virtualNetworkAddresses.listByParent(
"rgopenapi",
"Replace this value with a string matching RegExp .*",
)) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.OracleDatabase;
// Generated from example definition: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
// this example is just showing the usage of "VirtualNetworkAddress_ListByParent" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this CloudVmClusterResource created on azure
// for more information of creating CloudVmClusterResource, please refer to the document of CloudVmClusterResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgopenapi";
string cloudvmclustername = "Replace this value with a string matching RegExp .*";
ResourceIdentifier cloudVmClusterResourceId = CloudVmClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, cloudvmclustername);
CloudVmClusterResource cloudVmCluster = client.GetCloudVmClusterResource(cloudVmClusterResourceId);
// get the collection of this CloudVmClusterVirtualNetworkAddressResource
CloudVmClusterVirtualNetworkAddressCollection collection = cloudVmCluster.GetCloudVmClusterVirtualNetworkAddresses();
// invoke the operation and iterate over the result
await foreach (CloudVmClusterVirtualNetworkAddressResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
CloudVmClusterVirtualNetworkAddressData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1"
}
]
}
Definitioner
AzureResourceProvisioningState
Uppräkning
Uppräkning av Azure-resursetableringstillstånd
| Värde |
Description |
|
Succeeded
|
Resursen har skapats.
|
|
Failed
|
Det gick inte att skapa resurser.
|
|
Canceled
|
Resursskapandet avbröts.
|
|
Provisioning
|
Anger att resursen är i etableringstillstånd
|
createdByType
Uppräkning
Den typ av identitet som skapade resursen.
| Värde |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Objekt
Ytterligare information om resurshanteringsfelet.
| Name |
Typ |
Description |
|
info
|
object
|
Ytterligare information.
|
|
type
|
string
|
Ytterligare informationstyp.
|
ErrorDetail
Objekt
Felinformationen.
| Name |
Typ |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Ytterligare information om felet.
|
|
code
|
string
|
Felkoden.
|
|
details
|
ErrorDetail[]
|
Felinformationen.
|
|
message
|
string
|
Felmeddelandet.
|
|
target
|
string
|
Felmålet.
|
ErrorResponse
Objekt
Felsvar
systemData
Objekt
Metadata som rör skapande och senaste ändring av resursen.
| Name |
Typ |
Description |
|
createdAt
|
string
(date-time)
|
Tidsstämpeln för resursskapande (UTC).
|
|
createdBy
|
string
|
Identiteten som skapade resursen.
|
|
createdByType
|
createdByType
|
Den typ av identitet som skapade resursen.
|
|
lastModifiedAt
|
string
(date-time)
|
Tidsstämpeln för resursens senaste ändring (UTC)
|
|
lastModifiedBy
|
string
|
Identiteten som senast ändrade resursen.
|
|
lastModifiedByType
|
createdByType
|
Den typ av identitet som senast ändrade resursen.
|
VirtualNetworkAddress
Objekt
Virtuell IP-resurs som tillhör en VM-klusterresurs.
| Name |
Typ |
Description |
|
id
|
string
(arm-id)
|
Fullständigt kvalificerat resurs-ID för resursen. Till exempel "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Namnet på resursen
|
|
properties.domain
|
string
|
Virtuellt nätverksadress fullständigt kvalificerat domännamn.
|
|
properties.ipAddress
|
string
|
Adress för virtuellt nätverk.
|
|
properties.lifecycleDetails
|
string
|
Ytterligare information om det aktuella livscykeltillståndet för programmets virtuella IP-adress (VIP).
|
|
properties.lifecycleState
|
VirtualNetworkAddressLifecycleState
|
Livscykeltillstånd för virtuell nätverksadress.
|
|
properties.ocid
|
string
minLength: 1 maxLength: 255
|
Ansökan VIP OCID.
|
|
properties.provisioningState
|
AzureResourceProvisioningState
|
Etableringstillstånd för Azure-resurser.
|
|
properties.timeAssigned
|
string
(date-time)
|
Datum och tid då skapandeåtgärden för programmets virtuella IP-adress (VIP) slutfördes.
|
|
properties.vmOcid
|
string
minLength: 1 maxLength: 255
|
OCID för virtuell dator.
|
|
systemData
|
systemData
|
Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information.
|
|
type
|
string
|
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts"
|
VirtualNetworkAddressLifecycleState
Uppräkning
VirtualNetworkAddressLifecycleState-uppräkning
| Värde |
Description |
|
Provisioning
|
Anger att resursen är i etableringstillstånd
|
|
Available
|
Anger att resursen är i tillgängligt tillstånd
|
|
Terminating
|
Anger att resursen är i avslutande tillstånd
|
|
Terminated
|
Anger att resursen är i avslutat tillstånd
|
|
Failed
|
Anger att resursen är i misslyckat tillstånd
|
VirtualNetworkAddressListResult
Objekt
Svaret från en VirtualNetworkAddress-liståtgärd.
| Name |
Typ |
Description |
|
nextLink
|
string
(uri)
|
Länken till nästa sida med objekt
|
|
value
|
VirtualNetworkAddress[]
|
VirtualNetworkAddress-objekten på den här sidan
|